<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class SlugTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('slug')
            ->label('نامک')
            ->sortable()
            ->extraAttributes(['dire' => 'max-width: 200px;'])
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
